/*
 * 文 件 名:  CodesValReq
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/7/29
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.model.idenergy;

import lombok.Data;

import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * WEB TALK 实时数据
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/7/29]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
@Data
public class CodesValReq {
    private Set<String> codes;

    public CodesValReq() {
    }

    public CodesValReq(Set<String> codes) {
        this.codes = codes;
    }

    public CodesValReq(String... codes) {
        this.codes = new HashSet<>(Arrays.asList(codes));
    }
}